Package Details: themix-full-git 1.15.1-1

Git Clone URL: https://aur.archlinux.org/themix-full-git.git (read-only, click to copy)
Package Base: themix-full-git
Description: Themix: GUI for generating different color variations of Oomox theme (GTK2 + HiDPI hack, GTK3, Cinnamon, GNOME, MATE, Openbox, Xfwm), icons (ArchDroid, Gnome-Colors, Numix, Papirus, Suru++), Base16 plugin (Alacritty, Emacs, GTK4, KDE, VIM and MANY more)
Upstream URL: https://github.com/themix-project/oomox
Keywords: meta-package
Licenses: GPL3
Conflicts: oomox, oomox-git, themix-full
Provides: themix-full
Replaces: oomox-git
Submitter: actionless
Maintainer: actionless
Last Packager: actionless
Votes: 15
Popularity: 0.59
First Submitted: 2020-03-17 20:06 (UTC)
Last Updated: 2022-11-28 21:11 (UTC)

Latest Comments

w4rdriver commented on 2022-11-28 06:22 (UTC)

Hi,

I'm getting an error after running the installer, I cleaned the deps and ran the installer again cause there were some cached dependencies but no luck.

Traceback (most recent call last): File "/opt/oomox/oomox_gui/plugin_loader.py", line 89, in init_plugins cls.load_plugin(plugin_name, plugin_path) File "/opt/oomox/oomox_gui/plugin_loader.py", line 63, in load_plugin plugin = plugin_class() File "/opt/oomox/plugins/import_from_image/oomox_plugin.py", line 83, in __init__ self.migrate() File "/opt/oomox/plugins/import_from_image/oomox_plugin.py", line 93, in migrate os.rename(old_user_theme_dir, self.user_theme_dir) FileNotFoundError: [Errno 2] No such file or directory: '/home/us3r/.config/oomox/colors/__plugin__import_pil' -> '/home/us3r/.config/oomox/colors/__plugin__import_from_image'

MarsSeed commented on 2022-03-16 23:20 (UTC)

Hi,

This should at least be described as a metapackage.

Otherwise it can be confused with packages with missing or misdeclared source(s).

csts commented on 2020-07-04 14:58 (UTC)

On my previous comment I was using Manjaro, and I installed all dependencies first to install themix-full-git. Now, using Arch I tried to install themix-full-git and after it failed I scrolled up and saw it was looking for themix-gui not themix-gui-git. So, I installed themix-gui-git first, then installed themix-full-git and all other dependencies were automatically built.

csts commented on 2020-06-15 18:26 (UTC)

@actionless indeed. I was earlier on themix's github to upload some Arc themes but failed to search for the issue. Reinstalled themix-full-git and exporting an Oomox theme takes a few seconds. I revised the uploaded themes too with new ones using Oomox for future compatibility. Thanks again.

actionless commented on 2020-06-15 16:25 (UTC)

@csts is the problem happens only with Arc theme? it gonna be removed in the next release: https://github.com/themix-project/oomox/issues/293

csts commented on 2020-06-15 16:22 (UTC)

While exporting icons works fine, exporting user themes is impossible. I tried and after waiting over half an hour I killed the process, cleaned /tmp, restarted, tried more times without success. I uninstalled all themix packages and got the flatpak version from https://flathub.org/apps/details/com.github.themix_project.Oomox and it exports themes fine in 2 minutes on my slow laptop.

csts commented on 2020-06-14 23:17 (UTC)

I updated themix-icons-numix-git before reading your comment and it works fine. Thank you!

actionless commented on 2020-06-14 23:09 (UTC)

@csts i've updated the numix icons plugin AUR pkg, please try the update

csts commented on 2020-06-14 22:53 (UTC)

I was able to use the Suru ++ Aspromavros Icons style with my custom style but using Numix Icons style I get this error: https://ibb.co/Dbkh0sD

dedguy21 commented on 2020-03-29 22:14 (UTC)

Anyone else getting errors when trying to save customized themes?